from markdown_fix_freeplane.markdown_utils import replace_title_with_list


def test_replace_title_with_list():
    assert (replace_title_with_list(
        '# This is a title\n# Another title', depth=2) ==
            '# This is a title\n# Another title')
    assert (replace_title_with_list(
        '# This is a title\n## Another title', depth=2) ==
            '# This is a title\n- Another title')
    assert (replace_title_with_list(
        '# This is a title\n## Another title\n### Yet another title', depth=2) ==
            '# This is a title\n- Another title\n  - Yet another title')
